Bug 732594 - Can't format /boot partition as btrfs, despite grub2 support.
Summary: Can't format /boot partition as btrfs, despite grub2 support.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 03:06 UTC by Jordan Clarke
Modified: 2011-08-31 02:31 UTC (History)
2 users (show)

Fixed In Version: anaconda-16.16-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-31 02:31:37 UTC


Attachments (Terms of Use)

Description Jordan Clarke 2011-08-23 03:06:53 UTC
Description of problem:
In custom partitioning of the hard drive, a /boot partition was listed for creation, formatted as btrfs.  Anaconda warned that a /boot partition formatted as btrfs isn't bootable, and asked me to choose a different format.  However, grub2, which is now installed by default in Fedora 16, supports booting from btrfs partitions.

Version-Release number of selected component (if applicable):
Anaconda 16.XX (as supplied in Fedora 16 Alpha (RC5))

How reproducible:
Always occurs

Steps to Reproduce:
1. Choose custom partitioning layout with a /boot (or / if no /boot is listed) partition formatted as btrfs.
2. Once finished listing partitions, click next to format them.

Actual results:
Anaconda warns that /boot can't be formatted as btrfs, and returns the user to the custom partitioning layout.

Expected results:
The partitions are formatted, and the user enters the next stage of the installation.

Additional info:

Comment 1 Fedora Update System 2011-08-30 19:51:58 UTC
anaconda-16.16-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.16-1.fc16

Comment 2 Fedora Update System 2011-08-31 02:31:03 UTC
anaconda-16.16-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.